Package org.eclipse.birt.report.model.api.simpleapi

# Interface IColumn

All Superinterfaces:
  `IDesignElement`

public interface IColumn extends IDesignElement
Script wrapper of ColumnHandle.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHideRule(IHideRule rule)`
Add HideRule
`IHideRule[]`
`getHideRules()`
Returns array of hide rule expression
`void`
`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
`removeHideRules()`
Removes all hide rules

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### removeHideRule

void removeHideRule(IHideRule rule) throws SemanticException
Removes all hide rules that matches formatType.

Parameters:
  `rule` -
Throws:
  `SemanticException`

### removeHideRules

void removeHideRules() throws SemanticException
Removes all hide rules

Throws:
  `SemanticException`

### getHideRules

IHideRule[] getHideRules()
Returns array of hide rule expression

Returns:
  array of hide rule expression

### addHideRule

void addHideRule(IHideRule rule) throws SemanticException
Add HideRule

Parameters:
  `rule` -
Throws:
  `SemanticException`